package storage

import "time"

type Proof struct {
	ID                   string  `bson:"_id"`
	OperatorJourneyID    string  `bson:"operator_journey_id"`
	RPCStatus            string  `bson:"rpc_status"`
	ProofLevelDowngraded *string `bson:"proof_level_downgraded"`
}

type RPCStatus struct {
	RPCJourneyID string `bson:"rpc_journey_id"`
	Submitted    time.Time
}

func (p Proof) ProofLevel() string {
	if p.ProofLevelDowngraded != nil {
		return *p.ProofLevelDowngraded
	}
	//TODO
	return ""
}
