package storage

import (
	"time"

	"github.com/google/uuid"
)

var testid = uuid.NewString()

var is1 = IncentiveSubscription{
	ID:                      uuid.NewString(),
	IncentiveID:             "bonuscovoituragecourtedistance",
	UserID:                  testid,
	IdentityVerificationIDs: []string{uuid.NewString(), uuid.NewString()},
	Declined:                false,
	Data: map[string]any{
		"key":       "value",
		"secondkey": "secondvalue",
	},
	SubscriptionDatetime: time.Now(),
}

var is2 = IncentiveSubscription{
	ID:                      uuid.NewString(),
	IncentiveID:             "bonuscovoituragecourtedistance",
	UserID:                  uuid.NewString(),
	IdentityVerificationIDs: []string{uuid.NewString()},
	Declined:                true,
	Data: map[string]any{
		"key":       "value",
		"secondkey": "secondvalue",
	},
	SubscriptionDatetime: time.Now(),
}

var is3 = IncentiveSubscription{
	ID:          uuid.NewString(),
	IncentiveID: "fmdchunimes",
	UserID:      testid,
	Declined:    false,
	Data: map[string]any{
		"key":       "value",
		"secondkey": "secondvalue",
	},
	SubscriptionDatetime: time.Now(),
}
